Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.faces
Class PhpFacesScriptContext

    java.lang.Object
      javax.script.SimpleScriptContext
          php.java.script.PhpSimpleHttpScriptContext
              php.java.faces.PhpFacesScriptContext

All Implemented Interfaces:
  ScriptContext, Invocable, IPhpScriptContext

    public class PhpFacesScriptContext

extends PhpSimpleHttpScriptContext

A custom ScriptContext, keeps a ContextFactory and a HttpProxy.

Author:
  jostb

Field Summary

Fields inherited from class php.java.script.PhpSimpleHttpScriptContext
`APPLICATION_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from interface javax.script.ScriptContext
`ENGINE_SCOPE, GLOBAL_SCOPE`

Constructor Summary
`PhpFacesScriptContext()`

Method Summary

Methods inherited from class php.java.script.PhpSimpleHttpScriptContext
`call, getAttribute, getAttribute, getContext, getContinuation, getRequest, getResponse, getWriter, initialize, setAttribute, setContinuation, setWriter`

Methods inherited from class javax.script.SimpleScriptContext
`getAttributesScope, getBindings, removeAttribute, setBindings`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpFacesScriptContext

    public PhpFacesScriptContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD